Method: networks.lineItems.batchUpdate

Batch updates LineItem objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/lineItems:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where LineItems will be updated. Format: networks/{networkCode} The parent segment of the lineItem.name in each UpdateLineItemRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateLineItemRequest)
    }
  ]
}
Fields
requests[]

object (UpdateLineItemRequest)

Required. The LineItem objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for lineItems.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "lineItems": [
    {
      object (LineItem)
    }
  ]
}
Fields
lineItems[]

object (LineItem)

The LineItem objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateLineItemRequest

Request object for lineItems.patch method.

JSON representation
{
  "lineItem": {
    object (LineItem)
  },
  "updateMask": string
}
Fields
lineItem

object (LineItem)

Required. The LineItem to update.

The LineItem's name is used to identify the LineItem to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".